## juffed 0.8.1

=== CMakeLists.txt ===
# juffed CMakeLists.txt
# 
#
# To build juffed, you will need cmake 2.4.3 (should also work with 2.4.0 and above
# but not tested). To build the application run this commands:
# 
#	mkdir cbuild
#	cd cbuild
#	cmake ../
#	make
# 
# If you don't know cmake, here are some links for you:
# 	http://wiki.qtcentre.org/index.php?title=Compiling_Qt4_apps_with_CMake
# 	http://qtnode.net/wiki/Qt_with_cmake#cmake_for_Qt_4

PROJECT (juffed)
CMAKE_MINIMUM_REQUIRED (VERSION 2.4.0)
    IF (COMMAND cmake_policy)
      CMAKE_POLICY (SET CMP0003 NEW)
    ENDIF (COMMAND cmake_policy)

SET ( CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH} )

SET ( JUFFED "juffed" CACHE STRING "Name of the executeable" )


#Version
FILE ( READ "${CMAKE_SOURCE_DIR}/version" JUFFED_VERSION )
STRING ( STRIP "${JUFFED_VERSION}" JUFFED_VERSION )

# flag indicating that this is a development version
SET ( DEV 0 )

IF ( DEV )
	# SVN revision
	FIND_PACKAGE(Subversion)
	IF(Subversion_FOUND)
		Subversion_WC_INFO(${PROJECT_SOURCE_DIR} SVN)
	ENDIF(Subversion_FOUND)
	SET ( REV ${SVN_WC_REVISION} )
	SET ( JUFFED_VERSION "${JUFFED_VERSION}.${REV}" )
ENDIF ( DEV )

SET ( VERSION ${JUFFED_VERSION} )
MESSAGE ( "${JUFFED} version: ${VERSION}" )

# Install Directories
SET(BIN_INSTALL_DIR
    "${CMAKE_INSTALL_PREFIX}/bin"
    CACHE PATH "Install path for executables"
)

SET(DATA_INSTALL_DIR
    "${CMAKE_INSTALL_PREFIX}/share/${CMAKE_PROJECT_NAME}"
    CACHE PATH "Install path for shared data"
)

SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")

# verbose is off by default
#SET( CMAKE_VERBOSE_MAKEFILE  ON )

# input files

SET ( libjuffed_MOC_HDRS
	include/SettingsItem.h
	include/SettingsCheckItem.h
	include/SettingsSelectItem.h
)

SET ( libjuffed_SRCS
	src/lib/AutocompleteSettings.cpp
	src/lib/CharsetsSettings.cpp
	src/lib/CommandStorage.cpp
	src/lib/FileTypeSettings.cpp
	src/lib/IconManager.cpp
	src/lib/JuffFunctions.cpp
	src/lib/KeySettings.cpp
	src/lib/Log.cpp
	src/lib/MainSettings.cpp
	src/lib/PluginSettings.cpp
	src/lib/PrintSettings.cpp
	src/lib/Settings.cpp
	src/lib/SettingsItem.cpp
	src/lib/SettingsCheckItem.cpp
	src/lib/SettingsSelectItem.cpp
	src/lib/TextDocSettings.cpp
)

SET ( juffed_UIS
	src/gui/AutocompleteSettingsPage.ui
	src/gui/CharsetsSettingsPage.ui
	src/gui/EditorSettingsPage.ui
	src/gui/FileTypesPage.ui
	src/gui/FindDlg.ui
	src/gui/MainSettingsPage.ui
	src/gui/SessionDlg.ui
	src/gui/ViewSettingsPage.ui
)

SET ( juffed_SRCS
	src/DocHandler.cpp
	src/Document.cpp
	src/JuffApp.cpp
	src/LexerStorage.cpp
	src/main.cpp
	src/Manager.cpp
	src/JuffScintilla.cpp
	src/NullDoc.cpp
	src/PluginManager.cpp
	src/SciDoc.cpp
	src/SciDocHandler.cpp
	src/SocketListener.cpp
	src/gui/AboutDlg.cpp
	src/gui/CharsetsSettingsPage.cpp
	src/gui/ColorButton.cpp
	src/gui/FileTypesPage.cpp
	src/gui/FindDlg.cpp
	src/gui/GUI.cpp
	src/gui/GUIManager.cpp
	src/gui/MultiPage.cpp
	src/gui/MW.cpp
	src/gui/PluginPage.cpp
	src/gui/SessionDlg.cpp
	src/gui/SettingsDlg.cpp
	src/gui/StatusLabel.cpp
	src/gui/TabBar.cpp
	src/gui/TabWidget.cpp
	src/gui/Viewer.cpp
)

SET ( juffed_MOC_HDRS
	src/DocHandler.h
	src/Document.h
	src/JuffApp.h
	src/Manager.h
	src/JuffScintilla.h
	src/PluginManager.h
	src/SciDoc.h
	src/SciDocHandler.h
	src/SocketListener.h
	src/gui/AboutDlg.h
	src/gui/CharsetsSettingsPage.h
	src/gui/ColorButton.h
	src/gui/FileTypesPage.h
	src/gui/FindDlg.h
	src/gui/GUI.h
	src/gui/MultiPage.h
	src/gui/MW.h
	src/gui/PluginPage.h
	src/gui/SessionDlg.h
	src/gui/SettingsDlg.h
	src/gui/StatusLabel.h
	src/gui/TabBar.h
	src/gui/TabWidget.h
	src/gui/Viewer.h
)

SET ( juffed_RCS
	src/juffed.rc
)

SET ( juffed_RESOURCES
	src/juffed.qrc
)

SET ( juffed_TS
	l10n/juffed_de.ts
	l10n/juffed_fr.ts
	l10n/juffed_pl.ts
	l10n/juffed_pt.ts
	l10n/juffed_ru.ts
	l10n/juffed_sp.ts
	l10n/juffed_zh_CN.ts
	l10n/juffed_cs.ts
)

SET ( juffed_includes
	include/AppInfo.h
	include/AutocompleteSettings.h
	include/CharsetsSettings.h
	include/CommandStorage.h
	include/Functions.h
	include/IconManager.h
	include/Juff.h
	include/JuffPlugin.h
	include/KeySettings.h
	include/License.h
	include/Log.h
	include/MainSettings.h
	include/ManagerInterface.h
	include/Parameter.h
	include/PluginSettings.h
	include/PrintSettings.h
	include/Settings.h
	include/SettingsItem.h
	include/SettingsCheckItem.h
	include/SettingsSelectItem.h
	include/TextDocSettings.h
)

FIND_PACKAGE ( Qt4 REQUIRED )
FIND_PACKAGE ( QScintilla2 REQUIRED)
SET (QT_USE_QTXML TRUE)
INCLUDE (${QT_USE_FILE})

#Configure AppInfo.h
configure_file ("${CMAKE_SOURCE_DIR}/cmake/AppInfo.nix.h.cmake" "${CMAKE_BINARY_DIR}/AppInfo.nix.h" @ONLY)
configure_file ("${CMAKE_SOURCE_DIR}/cmake/AppInfo.win.h.cmake" "${CMAKE_BINARY_DIR}/AppInfo.win.h" @ONLY)
configure_file ("${CMAKE_SOURCE_DIR}/cmake/version.cmake" "${CMAKE_BINARY_DIR}/version.real" @ONLY)

# qt4 actions
QT4_WRAP_UI ( juffed_UIS_H ${juffed_UIS} )
QT4_WRAP_CPP ( juffed_MOC_SRCS ${juffed_MOC_HDRS} )
QT4_WRAP_CPP ( libjuffed_MOC_SRCS ${libjuffed_MOC_HDRS} )
QT4_ADD_RESOURCES ( juffed_RESOURCES ${juffed_RESOURCES} )
QT4_AUTOMOC ( ${juffed_SRCS} )
QT4_ADD_TRANSLATION ( juffed_QM ${juffed_TS} )

# definitions for the project
ADD_DEFINITIONS(
	-Wall 
	-DQT_NO_DEBUG
	-DQT_NO_DEBUG_STREAM
#	-DJUFF_DEBUG
#	-DJUFF_FULL_DEBUG
	${QT_DEFINITIONS}
)

# find TCL lexer
find_path ( QSCI_TCL_LEXER qscilexertcl.h ${LIBQSCINTILLA2_INCLUDE_DIR} )
if ( QSCI_TCL_LEXER )
	ADD_DEFINITIONS (
		-DJUFF_TCL_LEXER
	)
endif ( QSCI_TCL_LEXER )

# find Pascal lexer
find_path ( QSCI_PASCAL_LEXER qscilexerpascal.h ${LIBQSCINTILLA2_INCLUDE_DIR} )
if ( QSCI_PASCAL_LEXER )
	ADD_DEFINITIONS (
		-DJUFF_PASCAL_LEXER
	)
endif ( QSCI_PASCAL_LEXER )

# find Fortran lexer
find_path ( QSCI_FORTRAN_LEXER qscilexerfortran.h ${LIBQSCINTILLA2_INCLUDE_DIR} )
if ( QSCI_FORTRAN_LEXER )
	ADD_DEFINITIONS (
		-DJUFF_FORTRAN_LEXER
	)
endif ( QSCI_FORTRAN_LEXER )

# find CSS3Property
find_path ( QSCI_CSS_LEXER qscilexercss.h ${LIBQSCINTILLA2_INCLUDE_DIR} )
if ( QSCI_CSS_LEXER )
	EXECUTE_PROCESS ( 
		COMMAND grep CSS3Property ${QSCI_CSS_LEXER}/qscilexercss.h
		OUTPUT_VARIABLE CSS3_FOUND
	)
	if ( CSS3_FOUND )
		MESSAGE ( "CSS3 found!" )
		ADD_DEFINITIONS (
			-DCSS3_FOUND
		)
	endif ( CSS3_FOUND )
endif (QSCI_CSS_LEXER )

# include directories
INCLUDE_DIRECTORIES(
	${QT_INCLUDES}
	${CMAKE_BINARY_DIR}
	${LIBQSCINTILLA2_INCLUDE_DIR}
	src
	./include
)


IF ( MINGW )
	ADD_DEFINITIONS(
		-DQSCINTILLA_DLL
	)
	# resource compilation for MinGW
	ADD_CUSTOM_COMMAND ( OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/src/juffed_ico.o
		COMMAND windres.exe -I${CMAKE_CURRENT_SOURCE_DIR}/src -i${CMAKE_CURRENT_SOURCE_DIR}/src/juffed.rc 
			-o ${CMAKE_CURRENT_BINARY_DIR}/src/juffed_ico.o )
	SET ( juffed_SRCS ${juffed_SRCS} ${CMAKE_CURRENT_BINARY_DIR}/src/juffed_ico.o)
ELSE ( MINGW )
	SET(juffed_SRCS	${juffed_SRCS})
ENDIF ( MINGW )

ADD_LIBRARY ( juff SHARED
	${libjuffed_SRCS}
	${libjuffed_MOC_SRCS}
)

SET_TARGET_PROPERTIES ( juff PROPERTIES VERSION ${VERSION} SOVERSION "0.7")

# the main build target
ADD_EXECUTABLE ( ${JUFFED}
	${juffed_SRCS} 
	${juffed_UIS_H} 
	${juffed_MOC_SRCS} 
	${juffed_UIS} 
	${juffed_RESOURCES} 
	${juffed_QM} 
)

IF ( MINGW )
	SET_TARGET_PROPERTIES( ${JUFFED} PROPERTIES LINK_FLAGS "-mwindows" )
ENDIF ( MINGW )

TARGET_LINK_LIBRARIES ( juff
	${QT_LIBRARIES}
	${QT_QTCORE_LIBRARY}
	${QT_QTGUI_LIBRARY}
)

TARGET_LINK_LIBRARIES ( ${JUFFED} juff
	${QT_LIBRARIES}
	${QT_QTCORE_LIBRARY}
	${QT_QTGUI_LIBRARY}
	${QT_QTXML_LIBRARY}
	${QT_QTNETWORK_LIBRARY}
	${LIBQSCINTILLA2_LIBRARY} 
)

INSTALL ( TARGETS juffed DESTINATION ${BIN_INSTALL_DIR})
INSTALL ( TARGETS juff DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)
INSTALL ( FILES ${juffed_QM} DESTINATION ${DATA_INSTALL_DIR}/l10n )
INSTALL ( DIRECTORY hlschemes DESTINATION ${DATA_INSTALL_DIR} PATTERN ".svn" EXCLUDE PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ )
INSTALL ( DIRECTORY apis DESTINATION ${DATA_INSTALL_DIR} PATTERN "*.svn" EXCLUDE PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ )
INSTALL ( FILES juffed.png DESTINATION ${CMAKE_INSTALL_PREFIX}/share/pixmaps )
INSTALL ( FILES juffed.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications )
INSTALL ( FILES ${juffed_includes} DESTINATION ${CMAKE_INSTALL_PREFIX}/include/${CMAKE_PROJECT_NAME} )

# uninstall 
CONFIGURE_FILE(
"${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake" IMMEDIATE @ONLY)

ADD_CUSTOM_TARGET(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

=== debian/changelog ===
juffed (0.8.1-1) unstable; urgency=low

  * Initial release. (Closes: #589925)
  * debian/patches/static.patch:
    - Build libjuff as a static library for now, so it does not install
      files into /usr/lib and juffed is the only package using it. When
      we package plugins, we can consider moving it out.

 -- Maia Kozheva <sikon@ubuntu.com>  Thu, 22 Jul 2010 15:01:58 +0700

=== debian/control ===
Source: juffed
Section: editors
Priority: optional
Maintainer: Maia Kozheva <sikon@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), cmake, chrpath, libqt4-dev (>= 4.2),
 libqscintilla2-dev (>= 2.1)
Standards-Version: 3.9.0
Homepage: http://juffed.sourceforge.net

Package: juffed
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lightweight Qt 4 text editor
 JuffEd is a simple, cross-platform text editor written using the Qt 4 toolkit
 and the QScintilla library. It supports most features found in modern text
 editors, including syntax highlighting, bracket matching, switching encodings,
 sessions, and a plugin API.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS=-Wl,--as-needed

%:
	dh --buildsystem=cmake $@

override_dh_auto_install:
	dh_auto_install
	chrpath -d debian/juffed/usr/bin/juffed

## juffed 0.9.1137

=== CMakeLists.txt ===
# juffed CMakeLists.txt
# 
# To build juffed, you will need cmake 2.6.0.
# To build the application run this commands:
# 
# mkdir build
# cd build
# cmake .. -DCMAKE_INSTALL_PREFIX=/usr (or whatever prefix you'd like)
# make

option ( BUILD_PLUGINS "Build plugins from the externally linked SVN" ON )

project (juffed)
cmake_minimum_required (VERSION 2.6.0)
	if (COMMAND cmake_policy)
		CMAKE_POLICY (SET CMP0003 NEW)
	endif (COMMAND cmake_policy)

set ( CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH} )
set ( PREFIX ${CMAKE_INSTALL_PREFIX} )

set ( CMAKE_VERBOSE_MAKEFILE OFF )

####################
# Names and Version
####################

set ( JUFFED  "juffed" CACHE STRING "Name of the executeable" )
set ( JUFFLIB "juff"   CACHE STRING "Name of the library" )
file   ( READ "${CMAKE_SOURCE_DIR}/version"      JUFFED_VERSION )
file   ( READ "${CMAKE_SOURCE_DIR}/base_version" BASE_VERSION )
string ( STRIP "${JUFFED_VERSION}" JUFFED_VERSION )
string ( STRIP "${BASE_VERSION}"   BASE_VERSION )

# flag indicating that this is a development version
set ( DEV 0 )

if ( DEV )
	# SVN revision
	find_package(Subversion)
	if(Subversion_FOUND)
		Subversion_WC_INFO(${PROJECT_SOURCE_DIR} SVN)
	endif(Subversion_FOUND)
	set ( REV ${SVN_WC_REVISION} )
	set ( JUFFED_VERSION "${BASE_VERSION}.${REV}" )
endif ( DEV )

message ( STATUS "" )
message ( STATUS "${JUFFED} version: ${JUFFED_VERSION}" )


####################
# Directories
####################

include ( cmake/LibSuffix.cmake )

set (BIN_INSTALL_DIR
	"${PREFIX}/bin"
	CACHE PATH "Install path for executables"
)

set (LIB_INSTALL_DIR
	"${PREFIX}/lib${LIB_SUFFIX}"
	CACHE PATH "Install path for libraries"
)

set (DATA_INSTALL_DIR
	"${PREFIX}/share/${CMAKE_PROJECT_NAME}"
	CACHE PATH "Install path for shared data"
)

#set (CMAKE_INSTALL_RPATH "${LIB_INSTALL_DIR}")



find_package ( Qt4 COMPONENTS QtCore QtGui QtXml QtNetwork REQUIRED )
# WARNING: please, don't remove this include. It can result
# in a debug vs release library clash in this case.
# It means - in this case it's safe to link against QT_LIBRARIES.
# No naming of the standalone libs is necessary (well, it's dangerous).
include(${QT_USE_FILE})
# this is mandatory for Apple builds to load plugin correctly
add_definitions(-DQT_NO_DEBUG)

find_package ( QScintilla2 REQUIRED)

include ( cmake/FileSets.cmake )
include ( cmake/SomeLexers.cmake )

QT4_WRAP_CPP ( juffed_lib_MOC_SRCS ${juffed_lib_MOC_HEADERS} )
QT4_WRAP_CPP ( juffed_app_MOC_SRCS ${juffed_app_MOC_HEADERS} )
QT4_ADD_RESOURCES ( juffed_app_RESOURCES ${juffed_app_RESOURCES} )
QT4_ADD_RESOURCES ( juffed_lib_RESOURCES ${juffed_lib_RESOURCES} )
QT4_AUTOMOC ( ${juffed_lib_SRCS} )
QT4_AUTOMOC ( ${juffed_app_SRCS} )
QT4_WRAP_UI ( juffed_app_UIS_H ${juffed_app_UIS} )
QT4_ADD_TRANSLATION ( juffed_QM ${juffed_TS} )

# include directories
include_directories(
	${QT_INCLUDES}
	${CMAKE_BINARY_DIR}
	${QSCINTILLA_INCLUDE_DIR}
	src/app/ui
	src/app/qsci
	./include
)

configure_file ("${CMAKE_SOURCE_DIR}/cmake/AppInfo.nix.h.cmake" "${CMAKE_BINARY_DIR}/AppInfo.nix.h" @ONLY)
configure_file ("${CMAKE_SOURCE_DIR}/cmake/AppInfo.win.h.cmake" "${CMAKE_BINARY_DIR}/AppInfo.win.h" @ONLY)
configure_file ("${CMAKE_SOURCE_DIR}/cmake/AppInfo.apple.h.cmake" "${CMAKE_BINARY_DIR}/AppInfo.apple.h" @ONLY)


####################
# Targets
####################

# library
add_library ( ${JUFFLIB} SHARED
	${juffed_lib_SRCS}
	${juffed_lib_MOC_SRCS}
	${juffed_lib_RESOURCES} 
)
target_link_libraries ( ${JUFFLIB}
	${QT_LIBRARIES}
	${QT_QTXML_LIBRARY}
)

if (APPLEBUNDLE)
	message ( STATUS "Building as an apple bundle" )
	set ( APPLE_PREFIX "${CMAKE_INSTALL_PREFIX}/${JUFFED}.app/Contents" )

	add_definitions(-DAPPLEBUNDLE)
	set(GUI_TYPE MACOSX_BUNDLE)
	# create Info.plist file
	set(MACOSX_BUNDLE_ICON_FILE juffed.icns)
	set(MACOSX_BUNDLE_INFO_STRING "juffed ${JUFFED_VERSION}")
	set(MACOSX_BUNDLE_GUI_IDENTIFIER "com.juffed")
	set(MACOSX_BUNDLE_LONG_VERSION_STRING "${JUFFED_VERSION}")
	set(MACOSX_BUNDLE_BUNDLE_NAME "${JUFFED}")
	set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${JUFFED_VERSION}")
	set(MACOSX_BUNDLE_BUNDLE_VERSION "${JUFFED_VERSION}")
	set(MACOSX_BUNDLE_COPYRIGHT "(c) juffed.com")
	set_source_files_properties(${CMAKE_SOURCE_DIR}/macosx/juffed.icns PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
	# use icon for app bundle to be visible in finder
	set(APPLE_BUNDLE_SOURCES ${CMAKE_SOURCE_DIR}/macosx/juffed.icns)
	# this is a must to load the lib correctly
	set_target_properties( ${JUFFLIB} PROPERTIES
							INSTALL_NAME_DIR "@executable_path/../Libraries"
						 )
else (APPLEBUNDLE)
	set(GUI_TYPE "")
	set(APPLE_BUNDLE_SOURCES "")
	# now we want to use soversion etc.
	if (NOT APPLE)
		# this causes a build fail on mac (unix-like build)
		set_target_properties ( ${JUFFLIB} PROPERTIES VERSION ${BASE_VERSION} SOVERSION ${BASE_VERSION} )
	else (NOT APPLE)
		# apple requires this one to keep sane dyn-linking
		set_target_properties( ${JUFFLIB} PROPERTIES
								INSTALL_NAME_DIR ${LIB_INSTALL_DIR}
							 )
	endif (NOT APPLE)
endif (APPLEBUNDLE)

if ( MINGW )
	add_definitions(
		-DQSCINTILLA_DLL
	)

	add_definitions( -D__SPECIAL_WINDOWS_DEFINE__ )

	# resource compilation for MinGW
	add_custom_command ( OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/src/app/juffed_ico.o
		COMMAND windres.exe -I${CMAKE_CURRENT_SOURCE_DIR}/src/app -i${CMAKE_CURRENT_SOURCE_DIR}/src/app/juffed.rc 
			-o ${CMAKE_CURRENT_BINARY_DIR}/src/app/juffed_ico.o )
	set ( juffed_app_SRCS ${juffed_app_SRCS} ${CMAKE_CURRENT_BINARY_DIR}/src/app/juffed_ico.o)
endif ( MINGW )


# executable
add_executable ( ${JUFFED}
	${GUI_TYPE}
	${juffed_app_SRCS} 
	${juffed_app_MOC_SRCS} 
	${juffed_UIS} 
	${juffed_app_UIS_H}
	${juffed_app_RESOURCES} 
	${juffed_QM} 
	${APPLE_BUNDLE_SOURCES}
)

if ( MINGW )
	set_target_properties( ${JUFFED} PROPERTIES LINK_FLAGS "-mwindows" )
endif ( MINGW )

target_link_libraries ( ${JUFFED} ${JUFFLIB}
	${QT_LIBRARIES}
	${QSCINTILLA_LIBRARY} 
	${QT_QTNETWORK_LIBRARY}
)

if ( UNIX )
	set(CMAKE_CXX_FLAGS "-Wall -Werror -Wextra")
endif ( UNIX )

if (BUILD_PLUGINS AND EXISTS ${CMAKE_SOURCE_DIR}/plugins)
	message(STATUS "Plugins: all externally linked cmake-ready plugs will be built")
	set(JUFFED_CMAKE_PLUGINS 1)
	if (UNIX)
		set(JUFFED_PLUGINS_DIR ${LIB_INSTALL_DIR}/juffed/plugins)
	endif (UNIX)
	if (APPLEBUNDLE)
		set(JUFFED_PLUGINS_DIR ${APPLE_PREFIX}/plugins)
	endif (APPLEBUNDLE)
	if (WIN32)
		set(JUFFED_PLUGINS_DIR ${CMAKE_INSTALL_PREFIX}/plugins)
	endif(WIN32)
	message(STATUS "Plugins: location = ${JUFFED_PLUGINS_DIR}")
	# dive into external SVN link
	set(JUFFED_INCLUDE_DIR ${CMAKE_SOURCE_DIR}/include)
	set(JUFFED_LIBRARY ${JUFFLIB})
	add_subdirectory(plugins)
else ()
	message(STATUS "Plugins: externally linked plugins will not be built")
endif ()

#set ( juffed_RCS
#	src/app/juffed.rc
#)
#
#set (QT_USE_QTXML TRUE)
#include (${QT_USE_FILE})

#configure_file ("${CMAKE_SOURCE_DIR}/cmake/version.cmake" "${CMAKE_BINARY_DIR}/version.real" @ONLY)




####################
# Installs
####################
if (NOT APPLEBUNDLE)

	install ( TARGETS ${JUFFED} DESTINATION ${BIN_INSTALL_DIR} )
	install ( TARGETS ${JUFFLIB} DESTINATION ${LIB_INSTALL_DIR} )
	install ( FILES ${juffed_QM} DESTINATION ${DATA_INSTALL_DIR}/l10n )
	install ( DIRECTORY hlschemes DESTINATION ${DATA_INSTALL_DIR} PATTERN ".svn" EXCLUDE PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ )
	install ( DIRECTORY apis DESTINATION ${DATA_INSTALL_DIR} PATTERN "*.svn" EXCLUDE PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ )
	install ( FILES juffed.png DESTINATION ${CMAKE_INSTALL_PREFIX}/share/pixmaps )
	install ( FILES juffed.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications )
	install ( FILES ${juffed_DEV_HEADERS} DESTINATION ${CMAKE_INSTALL_PREFIX}/include/${CMAKE_PROJECT_NAME} )

	## uninstall 
	configure_file ( "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake" IMMEDIATE @ONLY )
	add_custom_target ( uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

else (NOT APPLEBUNDLE)

	install(CODE "message(STATUS \"Cleaning previously installed bundle (rm -r)\")")
	install(CODE "execute_process(COMMAND rm -r ${CMAKE_INSTALL_PREFIX}/${JUFFED}.app)")

	install( TARGETS ${JUFFED} DESTINATION "${CMAKE_INSTALL_PREFIX}" )
	# lib is linked directly into binary in bundles to prevent Info.plist hacking
	install( TARGETS ${JUFFLIB} DESTINATION "${APPLE_PREFIX}/Libraries" )
	install ( FILES ${juffed_QM} DESTINATION "${APPLE_PREFIX}/Resources/l10n" )

	install ( DIRECTORY hlschemes DESTINATION "${APPLE_PREFIX}/Resources" PATTERN ".svn" EXCLUDE PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ )
	install ( DIRECTORY apis DESTINATION "${APPLE_PREFIX}/Resources" PATTERN "*.svn" EXCLUDE PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ )

	# helper stuff to create real apple bundle.
	# Black magic is summoned here...
	add_subdirectory( macosx )

endif (NOT APPLEBUNDLE)


# make dist custom target
SET(CPACK_PACKAGE_NAME ${JUFFED})
SET(CPACK_PACKAGE_VERSION ${JUFFED_VERSION})
SET(CPACK_SOURCE_GENERATOR "TGZ;TBZ2;ZIP;")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}")
SET(CPACK_IGNORE_FILES "/CVS/;/\\\\.svn/;/\\\\.git/;\\\\.swp$;\\\\.#;/#;\\\\.tar.gz$;\\\\~$;/CMakeFiles/;CMakeCache.txt;\\\\.qm$;/win32/;/build/;")
SET(CPACK_SOURCE_IGNORE_FILES ${CPACK_IGNORE_FILES})
INCLUDE(CPack)
# simulate autotools' "make dist"
add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

=== macosx/CMakeLists.txt ===
if (APPLEBUNDLE_STANDALONE)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/bundle.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/bundle.cmake @ONLY)
    install(SCRIPT ${CMAKE_CURRENT_BINARY_DIR}/bundle.cmake)
endif (APPLEBUNDLE_STANDALONE)

=== plugins/CMakeLists.txt ===
OPTION(BUILD_DOCLIST "Build doclist plugin" ON)
OPTION(BUILD_FAVORITES "Build favorites plugin" ON)
OPTION(BUILD_FINDFILES "Build findfiles plugin" ON)
OPTION(BUILD_FM "Build filemanager plugin" ON)
OPTION(BUILD_SYMBOLBROWSER "Build symbolbrowser plugin" ON)
OPTION(BUILD_XMLFORMAT "Build XML formatter plugin" ON)
OPTION(BUILD_SORT "Build Sort Document plugin" ON)
OPTION(BUILD_KEYS "Build Keybindings plugin" ON)

# disabled since it's really buggy and crashes on doc change
OPTION(BUILD_TODOLIST "Build TODOList plugin" OFF)

# it's better to keep it OFF by default since it requires libqtermwidget
# which is absent by default in main distros
OPTION(BUILD_TERMINAL "Build terminal plugin" OFF)

project (juffed-plugins)
cmake_minimum_required (VERSION 2.6)

# plugins are built standalone if is JUFFED_CMAKE_PLUGINS not set
# Required variables (inclides, libs) has to go from
# a) FindJuffed.cmake - for standalone build
# b) upstream CMakeLists.txt for the in-juffed build
set ( CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH} )
if (NOT JUFFED_CMAKE_PLUGINS)
	find_package ( Qt4 COMPONENTS QtCore QtGui QtXml QtNetwork REQUIRED )
	include(${QT_USE_FILE})
	
	find_package ( Juffed REQUIRED )
	
	
	set ( LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib )
	if (UNIX)
		set(JUFFED_PLUGINS_DIR ${LIB_INSTALL_DIR}/juffed/plugins)
	endif (UNIX)
 
endif (NOT JUFFED_CMAKE_PLUGINS)


set(CMAKE_INCLUDE_CURRENT_DIR 1)

include_directories(${JUFFED_INCLUDE_DIR})

if (BUILD_DOCLIST)
    add_subdirectory(doclist)
endif (BUILD_DOCLIST)

if (BUILD_FAVORITES)
    add_subdirectory(favorites)
endif (BUILD_FAVORITES)

if (BUILD_FM)
    add_subdirectory(fm)
endif (BUILD_FM)

if (BUILD_SYMBOLBROWSER)
    add_subdirectory(symbolbrowser)
endif (BUILD_SYMBOLBROWSER)

if (BUILD_FINDFILES)
    add_subdirectory(findinfiles)
endif (BUILD_FINDFILES)

if (BUILD_TERMINAL)
    add_subdirectory(terminal)
endif (BUILD_TERMINAL)

if (BUILD_XMLFORMAT)
    add_subdirectory(xmlformat)
endif (BUILD_XMLFORMAT)

if (BUILD_SORT)
    add_subdirectory(sort)
endif (BUILD_SORT)

if (BUILD_TODOLIST)
    add_subdirectory(todolist)
endif (BUILD_TODOLIST)

if (BUILD_KEYS)
    add_subdirectory(keybindings)
endif (BUILD_KEYS)

=== plugins/favorites/CMakeLists.txt ===
# favorites
set(favorites_SRC
    ManageDlg.cpp
    FavoritesPlugin.cpp
   )
QT4_WRAP_CPP(favorites_MOC
    ManageDlg.h
    FavoritesPlugin.h
   )
QT4_WRAP_UI(favorites_UI ManageDlg.ui)
add_library(favorites SHARED ${favorites_SRC} ${favorites_MOC} ${favorites_UI})
target_link_libraries(favorites ${JUFFED_LIBRARY} ${QT_LIBRARIES})
install(TARGETS favorites DESTINATION ${JUFFED_PLUGINS_DIR})

=== plugins/findinfiles/CMakeLists.txt ===
# findinfiles
QT4_WRAP_CPP(findinfiles_MOC
    FindInFilesPlugin.h
    FindWorker.h
    SearchDlg.h
    )
QT4_WRAP_UI(findinfiles_UI SearchDlg.ui)
set(findinfiles_SRC
    FindInFilesPlugin.cpp
    FindWorker.cpp
    SearchDlg.cpp
    )
QT4_ADD_RESOURCES(findinfiles_RES findinfiles.qrc)
add_library(findinfiles SHARED ${findinfiles_SRC} ${findinfiles_RES} ${findinfiles_MOC} ${findinfiles_UI})
target_link_libraries(findinfiles ${JUFFED_LIBRARY} ${QT_LIBRARIES})
install(TARGETS findinfiles DESTINATION ${JUFFED_PLUGINS_DIR})

=== plugins/fm/CMakeLists.txt ===
# fm
QT4_WRAP_CPP(fm_MOC 
    TreeView.h
    ManageDlg.h
    FMPlugin.h
    )
QT4_ADD_RESOURCES(fm_RES fm.qrc)
QT4_WRAP_UI(fm_UI ManageDlg.ui)
set(fm_SRC
    ManageDlg.cpp
    FMPlugin.cpp
    TreeView.cpp
   )
add_library(fm SHARED ${fm_SRC} ${fm_RES} ${fm_MOC} ${fm_UI})
target_link_libraries(fm ${JUFFED_LIBRARY} ${QT_LIBRARIES})
install(TARGETS fm DESTINATION ${JUFFED_PLUGINS_DIR})

=== plugins/keybindings/CMakeLists.txt ===
# keybindings
set(keys_SRC KeysPlugin.cpp KeysPage.cpp)
QT4_WRAP_UI(keys_UI KeysPage.ui)
QT4_WRAP_CPP(keys_MOC KeysPage.h KeysPlugin.h)
add_library(keybindings SHARED ${keys_SRC} ${keys_MOC} ${keys_UI})
target_link_libraries(keybindings ${JUFFED_LIBRARY} ${QT_LIBRARIES})
install(TARGETS keybindings DESTINATION ${JUFFED_PLUGINS_DIR})

=== plugins/sort/CMakeLists.txt ===
# doclist
set(sort_SRC sort.cpp QuickSettings.cpp)
QT4_WRAP_UI(sort_UI QuickSettings.ui)
QT4_WRAP_CPP(sort_MOC sort.h QuickSettings.h)
add_library(sortdocument SHARED ${sort_SRC} ${sort_MOC} ${sort_UI})
target_link_libraries(sortdocument ${JUFFED_LIBRARY} ${QT_LIBRARIES})
install(TARGETS sortdocument DESTINATION ${JUFFED_PLUGINS_DIR})

=== plugins/symbolbrowser/CMakeLists.txt ===
# symbolbrowser
QT4_WRAP_CPP(symbolbrowser_MOC
    SymbolBrowser.h
#    symbols/parsers/parserex.h
    symbols/parsers/parser.h
#    symbols/parsers/vstring.h
#    symbols/parsers/keyword.h
    symbols/docsymbols.h
    symbols/symboltreeview.h
    symbols/parserthread.h
#    symbols/symbol.h
#    symbols/common.h
    )
set(symbolbrowser_SRC
    symbols/docsymbols.cpp
    symbols/parsers/keyword.cpp
    symbols/parsers/parserex.cpp
    symbols/parsers/vstring.cpp
    symbols/parsers/parser.cpp
    symbols/symboltreeview.cpp
    symbols/parserthread.cpp
    symbols/symbol.cpp
    SymbolBrowser.cpp
    )
QT4_ADD_RESOURCES(symbolbrowser_RES symbols/symbols.qrc)
add_library(symbolbrowser SHARED ${symbolbrowser_SRC} ${symbolbrowser_RES} ${symbolbrowser_MOC})
target_link_libraries(symbolbrowser ${JUFFED_LIBRARY} ${QT_LIBRARIES})
install(TARGETS symbolbrowser DESTINATION ${JUFFED_PLUGINS_DIR})

=== plugins/terminal/CMakeLists.txt ===
# terminal
find_package(QTermWidget REQUIRED)

include_directories(${QTERMWIDGET_INCLUDE_DIR})

QT4_WRAP_CPP(terminal_MOC terminal/TerminalPlugin.h)
QT4_WRAP_UI(terminal_UI terminal/preferences.ui)
set(terminal_SRC terminal/TerminalPlugin.cpp)
add_library(terminal SHARED ${terminal_SRC} ${terminal_MOC} ${terminal_UI})
target_link_libraries(terminal ${JUFFED_LIBRARY} ${QT_LIBRARIES} ${QTERMWIDGET_LIBRARIES})
install(TARGETS terminal DESTINATION ${JUFFED_PLUGINS_DIR})

=== plugins/xmlformat/CMakeLists.txt ===
# doclist
set(xmlformat_SRC xmlformat.cpp)
QT4_ADD_RESOURCES(xmlformat_RES xmlformat.qrc)
QT4_AUTOMOC(xmlformat.cpp)
add_library(xmlformat SHARED ${xmlformat_SRC} ${xmlformat_RES} ${xmlformat_MOC})
target_link_libraries(xmlformat ${JUFFED_LIBRARY} ${QT_LIBRARIES})
install(TARGETS xmlformat DESTINATION ${JUFFED_PLUGINS_DIR})

=== plugins/terminal/qtermwidget/CMakeLists.txt ===
###| Cmake qtermwidget |###

#| Setting required version
cmake_minimum_required( VERSION 2.4 )

#| Project
project( qtermwidget )

subdirs( 
	lib
	src
)

=== debian/changelog ===
juffed (0.9.1137-1ubuntu6) wily; urgency=medium

  * No change rebuild for libqscintilla2-12v5.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 31 Aug 2015 21:31:58 +0200

juffed (0.9.1137-1ubuntu5) wily; urgency=medium

  * No change rebuild for libqscintilla2-12

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 12 Jul 2015 23:24:50 -0500

juffed (0.9.1137-1ubuntu4) vivid; urgency=medium

  * Do not use lib64 on Ubuntu (LP: #874479).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 04 Nov 2014 18:40:29 +0300

juffed (0.9.1137-1ubuntu3) trusty; urgency=low

  * No change rebuild for libqscintilla2-11 transition

 -- Scott Kitterman <scott@kitterman.com>  Tue, 18 Feb 2014 23:54:44 -0500

juffed (0.9.1137-1ubuntu2) raring; urgency=low

  * No change rebuild for libqscintilla2-9 transition

 -- Scott Kitterman <scott@kitterman.com>  Thu, 07 Mar 2013 08:44:41 -0500

juffed (0.9.1137-1ubuntu1) quantal; urgency=low

  * Fix FTBFS, patches by Johannes Brandstätter <jbrandstaetter@gmail.co>.

 -- Ilya Barygin <randomaction@ubuntu.com>  Fri, 28 Sep 2012 22:07:07 +0400

juffed (0.9.1137-1build1) precise; urgency=low

  * Rebuild for libqscintilla2-8.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 23 Nov 2011 17:48:43 +0000

juffed (0.9.1137-1) experimental; urgency=low

  * New upstream release.
  * Remove debian/juffed.1, added upstream (in debian.in).
  * Remove debian/patches/static.patch: we can now bundle the .so after
    upstream has resolved soname issues.
  * debian/control:
    - Bump Standards-Version to 0.9.2.
    - Update homepage.
    - Do not build-depend on chrpath, not needed anymore.
  * debian/rules:
    - Remove chrpath rule, not needed anymore.
  * Add juffed-dev and juffed-plugins packages.
  * Do not install the libkeybindings.so plugin: causes a segfault on my
    amd64 machine.

 -- Maia Kozheva <sikon@ubuntu.com>  Sat, 30 Apr 2011 13:43:26 +0700

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS=-Wl,--as-needed

%:
	dh --buildsystem=cmake $@

=== debian/watch ===
version=3
http://sf.net/juffed/juffed_(.+)\.tar\.gz

## juffed 0.10-85

=== plugins/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,8 @@
 OPTION(BUILD_XMLFORMAT "Build XML formatter plugin" ON)
 OPTION(BUILD_SORT "Build Sort Document plugin" ON)
 OPTION(BUILD_KEYS "Build Keybindings plugin" ON)
+OPTION(BUILD_AUTOSAVE "Build Autosave plugin" ON)
+OPTION(BUILD_COLORPICKER "Build ColorPicker plugin" ON)
 
 # disabled since it's really buggy and crashes on doc change
 OPTION(BUILD_TODOLIST "Build TODOList plugin" OFF)
@@ -17,22 +19,52 @@
 project (juffed-plugins)
 cmake_minimum_required (VERSION 2.6)
 
+option(USE_QT5 "Use Qt5. Defaults to Qt4" OFF)
+
 # plugins are built standalone if is JUFFED_CMAKE_PLUGINS not set
-# Required variables (inclides, libs) has to go from
+# Required variables (includes, libs) has to go from
 # a) FindJuffed.cmake - for standalone build
 # b) upstream CMakeLists.txt for the in-juffed build
 set ( CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH} )
 if (NOT JUFFED_CMAKE_PLUGINS)
-	find_package ( Qt4 COMPONENTS QtCore QtGui QtXml QtNetwork REQUIRED )
-	include(${QT_USE_FILE})
-	
-	find_package ( Juffed REQUIRED )
-	
-	
-	set ( LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib )
-	if (UNIX)
-		set(JUFFED_PLUGINS_DIR ${LIB_INSTALL_DIR}/juffed/plugins)
-	endif (UNIX)
+    if (USE_QT5)
+        find_package ( Qt5 COMPONENTS Widgets Xml Network PrintSupport LinguistTools CONFIG REQUIRED )
+        set (JUFF_QT_IMPORTED_TARGETS Qt5::Widgets Qt5::Xml Qt5::Network Qt5::PrintSupport)
+
+        macro(qt_wrap_ui)
+          qt5_wrap_ui(${ARGN})
+        endmacro()
+
+        macro(qt_add_resources)
+          qt5_add_resources(${ARGN})
+        endmacro()
+
+        macro(qt_add_translation)
+          qt5_add_translation(${ARGN})
+        endmacro()
+    else (USE_QT5)
+        find_package ( Qt4 COMPONENTS QtCore QtGui QtXml QtNetwork REQUIRED )
+        set (JUFF_QT_IMPORTED_TARGETS Qt4::QtCore Qt4::QtGui Qt4::QtXml Qt4::QtNetwork)
+
+        macro(qt_wrap_ui)
+          qt4_wrap_ui(${ARGN})
+        endmacro()
+
+        macro(qt_add_resources)
+          qt4_add_resources(${ARGN})
+        endmacro()
+
+        macro(qt_add_translation)
+          qt4_add_translation(${ARGN})
+        endmacro()
+    endif (USE_QT5)
+
+    find_package ( Juffed REQUIRED )
+    
+    set ( LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib )
+    if (UNIX)
+        set(JUFFED_PLUGINS_DIR ${LIB_INSTALL_DIR}/juffed/plugins)
+    endif (UNIX)
  
 endif (NOT JUFFED_CMAKE_PLUGINS)
 
@@ -80,3 +112,11 @@
 if (BUILD_KEYS)
     add_subdirectory(keybindings)
 endif (BUILD_KEYS)
+
+if (BUILD_AUTOSAVE)
+    add_subdirectory(autosave)
+endif (BUILD_AUTOSAVE)
+
+if (BUILD_COLORPICKER)
+    add_subdirectory(colorpicker)
+endif (BUILD_COLORPICKER)

=== plugins/colorpicker/CMakeLists.txt ===
# colorpicker
set( colorpicker_SRC
    ColorPickerPlugin.cpp
    ColorFormatDlg.cpp
)

QT_ADD_RESOURCES( colorpicker_RES colorpicker.qrc )
QT_WRAP_UI( colorpicker_UI ColorFormatDlg.ui)

add_library( colorpicker SHARED
    ${colorpicker_SRC}
    ${colorpicker_RES}
    ${colorpicker_UI}
)

target_link_libraries( colorpicker
    ${JUFFED_LIBRARY}
    ${JUFF_QT_IMPORTED_TARGETS}
)

install( TARGETS colorpicker DESTINATION ${JUFFED_PLUGINS_DIR} )

=== plugins/fm/CMakeLists.txt ===
# fm

QT_ADD_RESOURCES(fm_RES fm.qrc)
QT_WRAP_UI(fm_UI ManageDlg.ui)

set(fm_SRC
    ManageDlg.cpp
    FMPlugin.cpp
    TreeView.cpp
   )

add_library(fm SHARED ${fm_SRC} ${fm_RES} ${fm_UI})
target_link_libraries(fm ${JUFFED_LIBRARY} ${JUFF_QT_IMPORTED_TARGETS})
install(TARGETS fm DESTINATION ${JUFFED_PLUGINS_DIR})

=== plugins/sort/CMakeLists.txt ===
# doclist
set(sort_SRC sort.cpp QuickSettings.cpp)

QT_WRAP_UI(sort_UI QuickSettings.ui)

add_library(sortdocument SHARED ${sort_SRC} ${sort_UI})
target_link_libraries(sortdocument ${JUFFED_LIBRARY} ${JUFF_QT_IMPORTED_TARGETS})
install(TARGETS sortdocument DESTINATION ${JUFFED_PLUGINS_DIR})

## juffed 0.10-85-g5ba17f9

=== debian/changelog ===
juffed (0.10-85-g5ba17f9-9) unstable; urgency=medium

  * Following the Multiarch hinter
    - Marked juffed-plugins Multi-Arch: same
    - Marked libjuff0.10 Multi-Arch: same
    - libjuffed-engine-qsci0.10 Multi-Arch: same

 -- Alf Gaida <agaida@siduction.org>  Tue, 27 Sep 2016 23:11:37 +0200

juffed (0.10-85-g5ba17f9-8) unstable; urgency=medium

  * Set build language in rules: export LC_ALL=C.UTF-8

 -- Alf Gaida <agaida@siduction.org>  Mon, 19 Sep 2016 16:35:52 +0200

juffed (0.10-85-g5ba17f9-7) unstable; urgency=medium

  * Fixed typo in changelog

 -- Alf Gaida <agaida@siduction.org>  Mon, 19 Sep 2016 04:06:51 +0200

juffed (0.10-85-g5ba17f9-6) unstable; urgency=medium

  * Bump compat to 10
  * Bump build dependency debhelper (>=10)
  * set --builddirectory=./build, hopefully make the package reproducible

 -- Alf Gaida <agaida@siduction.org>  Sun, 18 Sep 2016 17:25:40 +0200

juffed (0.10-85-g5ba17f9-5) unstable; urgency=medium

  * Fixed symbols for armel and armhf, since gcc 6.2 seems to create
    different symbols than its predecessor 

 -- Alf Gaida <agaida@siduction.org>  Fri, 26 Aug 2016 01:06:39 +0200

juffed (0.10-85-g5ba17f9-4) unstable; urgency=medium

  * Cherry-picked changes from experimental
  * Switch to unstable

 -- Alf Gaida <agaida@siduction.org>  Thu, 25 Aug 2016 19:52:11 +0200

juffed (0.10-85-g5ba17f9-3) experimental; urgency=medium

  * Added missed blank in symbols

 -- Alf Gaida <agaida@siduction.org>  Tue, 23 Aug 2016 21:37:35 +0200

juffed (0.10-85-g5ba17f9-2) experimental; urgency=medium

  * Fixed symbols - symbol not in powerpc

 -- Alf Gaida <agaida@siduction.org>  Tue, 23 Aug 2016 19:22:28 +0200

juffed (0.10-85-g5ba17f9-1) experimental; urgency=medium

  * Adding upstream version 0.10-85-g5ba17f9.
    (Closes: #742580, #675293, #688483, #798065, #812133, #591398) 
  * Switch to experimental
  * README.debian added
  * Deleted not needed debian/patches
  * Bump compat to 9
  * Renamed install to juffed.install
  * Added debian/.gitignore
  * New maintainer: LXQt Packaging Team (Closes: #829319)
  * Added myself to Uploaders
  * Added ChangZhuo Chen to Uploaders
  * Bump Standards to 3.9.8, no changes needed
  * Added Homepage
  * Added secure VCS-Fields
  * Updated build dependencies for Qt 5
  * Updated package descriptions
  * Added libjuff0.10 and libjuffed-engine-qsci0.10
  * Removed outdated and false manpage
  * Fixed juffed-dev.install
  * Fixed juffed.install 
  * Fixed juffed-plugins.install
  * Added libjuff0.10.install and libjuff0.10.symbols
  * Added libjuffed-engine-qsci0.10.install and
    libjuffed-engine-qsci0.10.symbols
  * Fixed debian/rules - build with Qt5, hardening
  * Fixed the copyright format line 
  * Fixed upstream-name and source in copyright
  * Fixed watch file
  * Fixed debian/copyrights
  * Added LGPL-2.1-with-Nokia-Qt-LGPL-Exception-version-1.1-or-GPL-3
    to copyrights
  * Fixed package descriptions.
  * Added lintian-override for missed man-page
  * Override missed man-page
  * Set CMAKE_BUILD_TYPE=RelWithDebInfo
  * Added terminal support
  * Applied two upstream patches by Philipp Wiesemann <philipp.wiesemann@arcor.de>

 -- Alf Gaida <agaida@siduction.org>  Sat, 20 Aug 2016 01:29:16 +0200

=== debian/control ===
Source: juffed
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: editors
Priority: optional
Build-Depends: debhelper (>= 10),
               cmake (>= 3.0.2),
               libenca-dev,
               libqt5scintilla2-dev,
               libqtermwidget5-0-dev,
               pkg-config,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/pkg-lxqt/juffed.git
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/juffed.git
Homepage: http://juffed.com

Package: juffed
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libjuff0.10 (= ${binary:Version}),
         libjuffed-engine-qsci0.10 (= ${binary:Version})
Recommends: enca
Description: Lightweight yet powerful Qt text editor
 JuffEd is a simple, cross-platform text editor written using the Qt toolkit
 and the QScintilla library. It supports most features found in modern text
 editors, including syntax highlighting, bracket matching, switching encodings,
 sessions, and a plugin API.
 .
 This package contains the JuffEd editor.

Package: juffed-dev
Architecture: any
Section: devel
Depends: ${misc:Depends},
         juffed (= ${binary:Version})
Description: Lightweight yet powerful Qt text editor - development files
 JuffEd is a simple, cross-platform text editor written using the Qt toolkit
 and the QScintilla library. It supports most features found in modern text
 editors, including syntax highlighting, bracket matching, switching encodings,
 sessions, and a plugin API.
 .
 This package contains development files for plugin building.

Package: juffed-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         juffed (= ${binary:Version})
Description: Lightweight yet powerful Qt text editor - plugins
 JuffEd is a simple, cross-platform text editor written using the Qt toolkit
 and the QScintilla library. It supports most features found in modern text
 editors, including syntax highlighting, bracket matching, switching encodings,
 sessions, and a plugin API.
 .
 This package contains the following plugins:
  * Autosave
  * Color Picker
  * Document List
  * Favorites
  * Find In Files
  * File manager
  * Key bindings
  * Sort Document
  * Symbol Browser
  * Terminal
  * XML Formatter

Package: libjuff0.10
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: juffed (<< ${binary:Version})
Replaces: juffed (= ${binary:Version})
Description: Lightweight yet powerful Qt text editor - libjuff0.10
 JuffEd is a simple, cross-platform text editor written using the Qt toolkit
 and the QScintilla library. It supports most features found in modern text
 editors, including syntax highlighting, bracket matching, switching encodings,
 sessions, and a plugin API.
 .
 This package contains the shared library libjuff0.10.

Package: libjuffed-engine-qsci0.10
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: juffed (<< ${binary:Version})
Replaces: juffed (= ${binary:Version})
Description: Lightweight yet powerful Qt text editor - libjuffed-engine-qsci0.10
 JuffEd is a simple, cross-platform text editor written using the Qt toolkit
 and the QScintilla library. It supports most features found in modern text
 editors, including syntax highlighting, bracket matching, switching encodings,
 sessions, and a plugin API.
 .
 This package contains the shared library libjuffed-engine-qsci0.10.

=== debian/rules ===
#!/usr/bin/make -f
# DH_VERBOSE=1

export USE_QT5=true
export USE_SYSTEM_SINGLETON=false
export USE_ENCA=true
export LC_ALL=C.UTF-8

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake \
		--fail-missing \
		--parallel \
		--builddirectory=./build

override_dh_auto_configure:
	dh_auto_configure --\
		-DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)\
		-DBUILD_TERMINAL=ON\
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

=== debian/watch ===
version=3
https://github.com/mezomish/juffed/releases .*/([\d\.]+).tar.gz
